#include <cstdio>
#include <iostream>
#include <fstream>
#include <set>

using namespace std;

int main() {
    ifstream in("division.in");
    ofstream out("division.out");
    long long n;
    in >> n;
    long long best_a = 1, best_b = 2, best_c = 3;
    long long best = n * n;
    for (long long a = 1; a < n; a++)
        for (long long b = 1; b < n; b++)
            for (long long c = 1; c < n; c++) {
                if (a + b + c != n) continue;
                if (a >= b) continue;
                if (b >= c) continue;
                long long cur = a * a + b * b + c * c;
                if (cur < best) {
                    best = cur;
                    best_a = a;
                    best_b = b;
                    best_c = c;
                }
            }
    out << best_a << " " << best_b << " " << best_c << endl;
    return 0;
}
